// MyDialog.cpp : implementation file
//

#include "stdafx.h"
#include "ModelessDialog.h"
#include "MyDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


////////////////////////////////////////////////////////////////////////////
// CMyDialog dialog


CMyDialog::CMyDialog(CWnd* pParent /*=NULL*/)
	: CDialog(/*CMyDialog::IDD, pParent*/)  // call the default ctor
{
	//{{AFX_DATA_INIT(CMyDialog)
	m_strText = _T("");
	//}}AFX_DATA_INIT
}


void CMyDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMyDialog)
	DDX_Text(pDX, IDC_TEXT, m_strText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMyDialog, CDialog)
	//{{AFX_MSG_MAP(CMyDialog)
	ON_BN_CLICKED(IDC_DO_SOMETHING, OnDoSomething)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyDialog message handlers

void CMyDialog::OnDoSomething() 
{
	UpdateData( TRUE );
	::AfxMessageBox( CString( _T("The entered text is:\r\n") ) + m_strText );
}

BOOL CMyDialog::Create(CWnd *pParent)
{
	return CDialog::Create( CMyDialog::IDD, pParent );
}

void CMyDialog::SetManagerView(CView *pView)
{
	ASSERT(pView);
	m_pView = pView;
}

void CMyDialog::OnOK() 
{
	ASSERT(m_pView);
	UpdateData( TRUE );
	m_pView->PostMessage( WM_END_MODELESS_DIALOG );
}

void CMyDialog::OnCancel() 
{
	ASSERT(m_pView);
	m_pView->PostMessage( WM_END_MODELESS_DIALOG );
}
